Package org.eclipse.cdt.core.settings.model

# Interface ICMultiConfigDescription

All Superinterfaces:
  `ICConfigurationDescription`, `ICMultiItemsHolder`, `ICSettingBase`, `ICSettingContainer`, `ICSettingObject`, `ICSettingsStorage`

public interface ICMultiConfigDescription extends ICConfigurationDescription, ICMultiItemsHolder

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICMultiItemsHolder

`EMPTY_STR`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Method Summary

Modifier and Type
Method
Description
`String[][]`
`getErrorParserIDs()`
`void`
`setErrorParserIDs(String[] s)`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICConfigurationDescription

`create, createExternalSetting, createFileDescription, createFolderDescription, get, getBuildSetting, getBuildSystemId, getBuildVariablesContributor, getConfigurationData, getConfigurationStatus, getDescription, getExternalSettings, getExternalSettingsProviderIds, getFileDescriptions, getFolderDescriptions, getLanguageSettingForFile, getProjectDescription, getReferenceInfo, getResolvedSourceEntries, getResourceDescription, getResourceDescriptions, getRootFolderDescription, getSessionProperty, getSourceEntries, getTargetPlatformSetting, isActive, isModified, isPreferenceConfiguration, remove, remove, removeExternalSetting, removeExternalSettings, removeResourceDescription, setActive, setConfigurationData, setDescription, setExternalSettingsProviderIds, setName, setReferenceInfo, setSessionProperty, setSourceEntries, updateExternalSettingsProviders`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICMultiItemsHolder

`getItems`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingContainer

`getChildSettings`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingsStorage

`getStorage, importStorage, isReadOnly, removeStorage, setReadOnly`

## Method Details

### getErrorParserIDs

String[][] getErrorParserIDs()

### setErrorParserIDs

void setErrorParserIDs(String[] s)